Bug 1125277 - [Build 411.4] openQA test fails in sssd - Failed to start SSSD
[Build 411.4] openQA test fails in sssd - Failed to start SSSD
Status: RESOLVED WORKSFORME
: 1126809 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.1
x86-64 openSUSE 42.3
: P5 - None : Normal (vote)
: ---
Assigned To: Samuel Cabrero
E-mail List
https://openqa.opensuse.org/tests/851...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-13 10:25 UTC by Zaoliang Luo
Modified: 2019-11-06 13:06 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments
test data (1.90 KB, application/x-bzip)
2019-02-15 09:57 UTC, Zaoliang Luo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zaoliang Luo 2019-02-13 10:25:13 UTC
Compared with TW tests https://openqa.opensuse.org/tests/851571 and still successful Leap test https://openqa.opensuse.org/tests/707839,

I think this is an issue about regression.
I am not sure who should be assigned for this issue, but I found Jakub Hrozek should be the maintainer:

https://github.com/SSSD/sssd/commits?author=jhrozek

Logs can be found at: 
https://openqa.opensuse.org/tests/851394#downloads

Please help to assign this issue responsible developer, thanks!

It can be a big help if developer just take a look at the logs and give a feedback how we can workaround or fix on our test module.

We have a ticket for tracking this issue: https://progress.opensuse.org/issues/44141

--

## Observation

openQA test in scenario opensuse-15.1-DVD-x86_64-extra_tests_in_textmode@64bit fails in
[sssd](https://openqa.opensuse.org/tests/851394/modules/sssd/steps/20)

## Test suite description
Maintainer: okurz@suse.de

Mainly console extratest.


## Reproducible

Fails since (at least) Build [270.3](https://openqa.opensuse.org/tests/707839)


## Expected result

Last good: 

https://openqa.opensuse.org/tests/707839


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?machine=64bit&distri=opensuse&flavor=DVD&version=15.1&arch=x86_64&test=extra_tests_in_textmode)
Comment 3 Oliver Kurz 2019-02-14 16:30:38 UTC
true but the files are actually from https://github.com/os-autoinst/os-autoinst-distri-opensuse/tree/master/data/sssd-tests/local so no problem to look there :)
Comment 4 Samuel Cabrero 2019-02-14 16:33:03 UTC
Thanks, that is what I was looking for.
Comment 5 Zaoliang Luo 2019-02-15 09:55:27 UTC
http://f40.suse.de/tests/1227#downloads

now I add save test data to sssd test module and you can also check them directly.

http://f40.suse.de/tests/1227/file/sssd-sssd-tests.data.tar.bz2
Comment 6 Zaoliang Luo 2019-02-15 09:57:41 UTC
Created attachment 796902 [details]
test data
Comment 7 Samuel Cabrero 2019-02-15 11:02:00 UTC
The issue was caused by stricter checking of the PID which created the db in libldb 1.4 and fixed by upstream commit a887e33fbd02bc9ef987fc1bd2a487a04aff9980

I sent maintenance request https://build.suse.de/request/show/184649
Comment 8 Zaoliang Luo 2019-02-18 09:09:15 UTC
https://openqa.opensuse.org/tests/856186 shows successful test run, thanks!
Comment 9 Oliver Kurz 2019-02-18 09:27:46 UTC
@Zaoliang, are you sure? I can still see sssd failing in https://openqa.opensuse.org/tests/856186#step/sssd/20 which is the job you referenced.
Comment 12 Swamp Workflow Management 2019-03-05 17:10:02 UTC
SUSE-SU-2019:0542-1: An update that solves one vulnerability and has four fixes is now available.

Category: security (moderate)
Bug References: 1004220,1087320,1120852,1121759,1125277
CVE References: CVE-2019-3811
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    sssd-1.16.1-3.15.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    sssd-1.16.1-3.15.1
Comment 13 Samuel Cabrero 2019-03-06 08:28:38 UTC
*** Bug 1126809 has been marked as a duplicate of this bug. ***
Comment 14 Zaoliang Luo 2019-04-09 12:09:15 UTC
https://openqa.opensuse.org/tests/801701#next_previous shows now successful test runs.
Comment 16 Swamp Workflow Management 2019-07-26 01:16:35 UTC
SUSE-RU-2019:1975-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1125277,1137876,1139247
CVE References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    sssd-1.16.1-4.17.1
SUSE Linux Enterprise Server 12-SP4 (src):    sssd-1.16.1-4.17.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    sssd-1.16.1-4.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.